import request from '@/utils/request'

// 查询相亲会订单列表
export function listActivityOrder(query) {
  return request({
    url: '/xq/activityOrder/list',
    method: 'get',
    params: query
  })
}

// 查询相亲会订单详细
export function getActivityOrder(id) {
  return request({
    url: '/xq/activityOrder/' + id,
    method: 'get'
  })
}

// 新增相亲会订单
export function addActivityOrder(data) {
  return request({
    url: '/xq/activityOrder',
    method: 'post',
    data: data
  })
}

// 修改相亲会订单
export function updateActivityOrder(data) {
  return request({
    url: '/xq/activityOrder',
    method: 'put',
    data: data
  })
}

// 删除相亲会订单
export function delActivityOrder(id) {
  return request({
    url: '/xq/activityOrder/' + id,
    method: 'delete'
  })
}
